> This page is for Developer.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.bigcommerce.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.bigcommerce.com/_mcp/server.

# List Orders

GET https://api.bigcommerce.com/stores/{store_hash}/v2/orders

Gets a list of orders using the filter query.

**Notes**

* The default sort is by order id, from lowest to highest.
* By default, requests sent without parameters will only return 50 orders. 

Reference: https://docs.bigcommerce.com/developer/api-reference/rest/admin/management/orders/get-orders

## Authentication

- `X-Auth-Token` header (required) — ### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Orders | modify | `store_v2_orders` | | Orders | read-only | `store_v2_orders_read_only` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

## Request

### Path parameters

- `store_hash` (string, required) — Permanent ID of the BigCommerce store.

### Query parameters

- `min_id` (integer, optional) — The minimum order ID.
- `max_id` (integer, optional) — The maximum order ID.
- `min_total` (float, optional) — The minimum order total in floating point format. eg. 12.50
- `max_total` (double, optional) — The maximum order total in floating point format. eg. 12.50
- `customer_id` (integer, optional) — Customer ID.
- `email` (string, optional) — The email of the customer.
- `status_id` (integer, optional) — The status ID of the order. You can get the status id from the `/orders` endpoints.
- `cart_id` (string, optional) — The cart ID of the order.
- `payment_method` (string, optional) — The display name of the payment method used on the order. For example, `Manual`, `Credit Card`, `cash`, `Test Payment Gateway`, etc.'
- `min_date_created` (string, optional) — Minimum date the order was created in RFC-2822 or ISO-8601. RFC-2822: `Thu, 20 Apr 2017 11:32:00 -0400` ISO-8601: `2017-04-20T11:32:00.000-04:00`
- `max_date_created` (string, optional) — Maximum date the order was created in RFC-2822 or ISO-8601. RFC-2822: `Thu, 20 Apr 2017 11:32:00 -0400` ISO-8601: `2017-04-20T11:32:00.000-04:00`
- `min_date_modified` (string, optional) — Minimum date the order was modified in RFC-2822 or ISO-8601. RFC-2822: `Thu, 20 Apr 2017 11:32:00 -0400` ISO-8601: `2017-04-20T11:32:00.000-04:00`
- `max_date_modified` (string, optional) — Maximum date the order was modified in RFC-2822 or ISO-8601. RFC-2822: `Thu, 20 Apr 2017 11:32:00 -0400` ISO-8601: `2017-04-20T11:32:00.000-04:00`
- `page` (double, optional, default: 1) — The page to return in the response.
- `limit` (double, optional, default: 50) — Number of results to return.
- `sort` (enum, optional) — Field and direction to sort orders. To specify the direction, add `:asc` or `:desc` to the end of the query parameter. e.g., `sort=date_created:desc`.
  - Allowed values: `id`, `customer_id`, `date_created`, `date_modified`, `status_id`, `channel_id`, `external_id`
- `channel_id` (integer, optional) — The channel ID of the sales channel the shopper used to place the order.
- `include` (list of enum, optional) — * `consignments` - include the response returned from the request to the `/orders/{order_id}/consignments` endpoint. Current default array structure is legacy and will be deprecated from **1 Feb 2026**. Specify `consignment_structure=object` as a request parameter when including consignments. * `consignments.line_items` - include the response returned from the request to the `/orders/{order_id}/products` endpoint in consignments. This will also includes the resources associated with `include=consignments`. Current default array structure is legacy and will be deprecated from **1 Feb 2026**. Specify `consignment_structure=object` as a request parameter when including consignments. * `fees` - include the response returned from the request to the `/orders/{order_id}/fees` endpoint.
  - Allowed values: `consignments`, `consignments.line_items`, `fees`
- `consignment_structure` (enum, optional) — Should be specified along with `include=consignments` or `include=consignments.line_items` to return consignments in the supported object structure. The default array structure provided is legacy and may not be supported in the future.
  - Allowed values: `object`
- `external_order_id` (string, optional) — The order ID in another system, such as the Amazon Order ID if this is an Amazon order. After setting it, you can update this field using a POST or PUT request.

### Headers

- `Accept` (string, required, default: application/json) — The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.

## Response

### 200

A list of orders.

- `list of order_Resp`

## Types

### order_Resp

Order object returned in responses.

- `backorder_shipping_expectation_message` (string, optional, nullable) — The shipping expectation message shown to the customer when the order contains a backordered item. `null` when the order has no backordered items.
- `base_handling_cost` (string, optional) — The value of the base handling cost. The value can't be negative. (Float, Float-As-String, Integer)
- `base_shipping_cost` (string, optional) — The value of the base shipping cost. The value can't be negative. (Float, Float-As-String, Integer)
- `base_wrapping_cost` (string, optional) — The value of the base wrapping cost expressed as a floating point number to four decimal places in string format. The value can't be negative.
- `billing_address` (billingAddress_Resp, optional)
- `cart_id` (string, optional) — The cart ID from which this order originated, if applicable. Correlates with the Cart API. This is a read-only field; do not set or modify its value in a POST or PUT request.
- `channel_id` (integer, optional) — Shows where the order originated. The channel_id defaults to 1. The value must match the ID of a valid and enabled channel. If the ID refers to a non-existing or disconnected channel, the POST and PUT `/v2/orders` endpoints return a validation error.
- `consignments` (OrderRespOnlyConsignments, optional)
- `coupon_discount` (string, optional) — A read-only value. Do not pass in a POST or PUT request. (Float, Float-As-String, Integer)
- `coupons` (coupons_Resource, optional)
- `currency_code` (string, optional) — The currency code of the display currency used to present prices to the shopper on the storefront. Depending on the currency selected, the value can be different from the transactional currency. A read-only value. Do not pass in a POST or PUT request.
- `currency_exchange_rate` (string, optional) — The exchange rate between the store’s default currency and the display currency. A read-only value. Do not pass in a POST or PUT request. For orders created using the V2 endpoints, this value is always 1 (only in the storefront this value can be different to 1). (Float, Float-As-String, Integer)
- `currency_id` (integer, optional) — The display currency ID. Depending on the currency selected, the value can be different from the transactional currency. A read-only value. Do not pass in a POST or PUT request. In v2 display currency is set to the transactional currency, ''default_currency_id''.
- `customer_id` (double, optional) — The ID of the customer who placed the order. `0` indicates a guest checkout. Use this ID with the Customers API to look up customer attributes that aren't stored on the order, such as `tax_exempt_category`.
- `customer_locale` (string, optional) — The customer’s locale. The supported formats are: - 2-char lowercase characters. e.g., `en` - 3-char lowercase characters. e.g., `asa` - 5-char the language code is 2 lowercase characters and the region code is 2 uppercase characters, with `-` in the middle. e.g., `en-US` - 6-char the language code is 2 lowercase character and the region code is three digit number, with `-` in the middle. e.g., `es-419`
- `customer_message` (string, optional) — Message that the customer entered (number, options) -o the `Order Comments` box during checkout.
- `date_created` (string, optional) — The date the order was created, formatted in the RFC-2822 standard. You set this attribute on Order creation (POST) to support the migration of historical orders. If you do not provide a value, then it will default to the current date/time. e.g., `Tue, 20 Nov 2012 00:00:00 +0000`. This date time is always in UTC in the api response.
- `date_modified` (string, optional) — A read-only value representing the last modification of the order. Do not attempt to modify or set this value in a POST or PUT request. RFC-2822. This date time is always in UTC in the api response.
- `date_shipped` (string, optional) — A read-only value representing the date when the order is fully shipped. Do not attempt to modify or set this value in a POST or PUT request. RFC-2822
- `default_currency_code` (string, optional) — The currency code of the transactional currency the shopper pays in.
- `default_currency_id` (integer, optional) — The transactional currency ID. A read-only value. Do not pass in a POST or PUT request.
- `discount_amount` (string, optional) — Amount of discount for this transaction. The value can't be negative. (Float, Float-As-String, Integer)
- `ebay_order_id` (string, optional) — If the order was placed through eBay, the eBay order number will be included. Otherwise, the value will be `0`.
- `external_id` (string, optional, nullable) — (Read-only) The order ID in another system, such as the Amazon order ID if this is an Amazon order.
- `external_merchant_id` (string, optional, nullable) — The merchant ID represents an upstream order from an external system. It is the source of truth for orders. After setting it, you cannot write to or update the `external_merchant_id`. For example, you can update the Facebook by Meta page ID in a POST request, but a PUT request to update the order will return a 400 error. Please remove it from your request before trying again.
- `external_order_id` (string, optional) — The order ID in another system, such as the Amazon Order ID if this is an Amazon order. After setting it, you can update this field using a POST or PUT request.
- `external_source` (string, optional, nullable) — This value identifies an external system that generated the order and submitted it to BigCommerce with the Orders API. * When supplying the value, we recommend combining the type of system and vendor, e.g., ERP (Acumatica) or POS (Square). * If you are migrating historical orders processed on another eCommerce platform to BigCommerce, supply the following code as the value: M-MIG. This code will exclude historical orders from the store’s GMV/order count, which factors into pricing. * If you do not provide a value, then it will default to null.
- `fees` (OrderRespOnlyFees, optional)
- `geoip_country` (string, optional) — The full name of the country where the customer made the purchase, based on the IP.
- `geoip_country_iso2` (string, optional) — The country where the customer made the purchase, in ISO2 format, based on the IP.
- `gift_certificate_amount` (string, optional) — A read-only value. Do not pass in a POST or PUT request. (Float, Float-As-String, Integer)
- `handling_cost_ex_tax` (string, optional) — The value of the handling cost, excluding tax. The value can't be negative. (Float, Float-As-String, Integer)
- `handling_cost_inc_tax` (string, optional) — The value of the handling cost, including tax. The value can't be negative. (Float, Float-As-String, Integer)
- `handling_cost_tax` (string, optional) — A read-only value. Do not attempt to modify or set this value in a POST or PUT request. (Float, Float-As-String, Integer)
- `handling_cost_tax_class_id` (integer, optional) — A read-only value. Do not attempt to set or modify this value in a POST or PUT request. (NOTE: Value ignored if automatic tax is enabled on the store.)
- `id` (integer, optional) — Read-only. The ID of the order.
- `ip_address` (string, optional) — IPv4 Address of the customer, if known. Note: You can set either `ip_address` or `ip_address_v6`. Setting the `ip_address` value will reset the `ip_address_v6` value and vice versa.
- `ip_address_v6` (string, optional) — IPv6 Address of the customer, if known. Note: You can set either `ip_address` or `ip_address_v6`. Setting the `ip_address_v6` value will reset the `ip_address` value and vice versa.
- `is_deleted` (boolean, optional) — Indicates whether the order is deleted/archived. When set to true in a PUT request, it has the same result as the DELETE an order request.
- `is_email_opt_in` (boolean, optional) — Indicates whether the shopper has selected an opt-in check box (on the checkout page) to receive emails. A read-only value. Do not pass in a POST or PUT.
- `is_tax_inclusive_pricing` (boolean, optional) — Indicate whether the order's base prices include tax. If true, the base prices are inclusive of tax, and the values of `subtotal_inc_tax`, `shipping_cost_inc_tax`, `handling_cost_inc_tax`, `wrapping_cost_inc_tax` and `total_inc_tax` are not estimated but actual values and can be reliable for accounting purposes. If false, the base prices are exclusive of tax, and the values of `subtotal_ex_tax`, `shipping_cost_ex_tax`, `handling_cost_ex_tax`, `wrapping_cost_ex_tax` and `total_ex_tax` are not estimated but actual values and can be reliable for accounting purposes.
- `items_shipped` (double, optional) — The number of items that have been shipped.
- `items_total` (double, optional) — The total number of items in the order.
- `order_is_digital` (boolean, optional) — Whether this is an order for digital products.
- `order_source` (string, optional) — Reflects the origin of the order, such as the storefront, the control panel, a manual order, the Orders API, the Checkout API, or an integration with an external platform. It can affect the order's icon and source shown in the control panel order list. Orders created with the API default to `external`. Allowed values: `www` (Desktop) | `iphone` (iPhone) | `ipad` (iPad) | `android` (Android) | `mobile` (Mobile) | `manual` (manual order) | `external` (Orders API) | `buybutton` (Buy Button) | `amazon` (Amazon) | `ebay` (eBay) | `facebookshop` (Facebook Shop) | `facebookcheckout` (Facebook Checkout) | `facebookmarketplace` (Facebook Marketplace) | `pinterest` (Pinterest) | `socialshop` (Social Shop)
- `payment_method` (string, optional) — The payment method for this order. For example, `Manual`, `Credit Card`, `cash`, `Test Payment Gateway`, etc.
- `payment_provider_id` (OrderSharedPaymentProviderId, optional) — The external Transaction ID/Payment ID within this order’s payment provider (if a payment provider was used).
- `payment_status` (enum, optional) — A read-only value. Do not attempt to set or modify this value in a POST or PUT request.
  - Allowed values: `authorized`, `captured`, `capture pending`, `declined`, `held for review`, `paid`, `partially refunded`, `pending`, `refunded`, `void`, `void pending`, ``
- `products` (products_Resource, optional)
- `refunded_amount` (string, optional) — The amount refunded from this transaction. The value can't be negative. (Float, Float-As-String, Integer)
- `shipping_address_count` (double, optional) — The number of shipping addresses associated with this transaction. A read-only value. Do not pass in a POST or PUT.
- `shipping_addresses` (shippingAddresses_Resource, optional)
- `shipping_cost_ex_tax` (string, optional) — The value of shipping cost, excluding tax. When specified in a POST or PUT request, the field `shipping_cost_inc_tax` is also required. The value can't be negative (Float, Float-As-String, Integer)
- `shipping_cost_inc_tax` (string, optional) — The value of shipping cost, including tax. When specified in a POST or PUT request, the field `shipping_cost_ex_tax` is also required. The value can't be negative. (Float, Float-As-String, Integer)
- `shipping_cost_tax` (string, optional) — A read-only value. Do not attempt to modify or set this value in a POST or PUT request. (Float, Float-As-String, Integer)
- `shipping_cost_tax_class_id` (integer, optional) — Shipping-cost tax class. A read-only value. Do not attempt to modify or set this value in a POST or PUT request. (NOTE: Value ignored if automatic tax is enabled on the store.)
- `staff_notes` (string, optional) — Any additional notes for staff.
- `status` (string, optional) — The status will include one of the (string, options) - values defined under Order Statuses. This value is read-only. Do not attempt to modify or set this value in a POST or PUT operation.
- `status_id` (integer, optional) — The status ID of the order.
- `store_credit_amount` (string, optional) — Represents the store credit that the shopper has redeemed on this individual order. This is a read-only value. Do not pass in a POST or PUT request. (Float, Float-As-String, Integer)
- `store_default_currency_code` (string, optional) — The currency code of the storeʼs default currency.
- `store_default_to_transactional_exchange_rate` (string, optional) — The exchange rate between the storeʼs default currency and the transactional currency used in the order.
- `subtotal_ex_tax` (string, optional) — Override value for subtotal excluding tax. The value can't be negative. If specified, the field `subtotal_inc_tax` is also required. (Float, Float-As-String, Integer)
- `subtotal_inc_tax` (string, optional) — Override value for subtotal including tax. The value can't be negative. If specified, the field `subtotal_ex_tax` is also required. (Float, Float-As-String, Integer)
- `subtotal_tax` (string, optional) — A read-only value. Do not attempt to set or modify this value in a POST or PUT request. (Float, Float-As-String, Integer)
- `tax_provider_id` (string, optional) — Read-only. BasicTaxProvider - Tax is set to manual and order is created in the store. AvaTaxProvider - Tax is set to automatic and order is created in the store. Used for Avalara. "" (empty string) - The order is created with the API, or the tax provider is unknown.
- `total_ex_tax` (string, optional) — Override value for the total, excluding tax. If specified, the field `total_inc_tax` is also required. The value can't be negative. (Float, Float-As-String, Integer)
- `total_inc_tax` (string, optional) — Override value for the total, including tax. If specified, the field `total_ex_tax` is also required. The value can't be negative. (Float, Float-As-String, Integer)
- `total_tax` (string, optional) — Total tax amount for the order. A value of `0` doesn't indicate a tax-exempt customer; tax-exempt status lives in the `tax_exempt_category` field of the customer record, not on the order.
- `wrapping_cost_ex_tax` (string, optional) — The value of the wrapping cost, excluding tax. The value can't be negative. (Float, Float-As-String, Integer)
- `wrapping_cost_inc_tax` (string, optional) — The value of the wrapping cost, including tax. The value can't be negative. (Float, Float-As-String, Integer)
- `wrapping_cost_tax` (string, optional) — A read-only value. Do not attempt to modify or set this value in a POST or PUT request. (Float, Float-As-String, Integer)
- `wrapping_cost_tax_class_id` (integer, optional) — A read-only value. Do not attempt to set or modify this value in a POST or PUT request. NOTE: Value ignored if automatic tax is enabled on the store.

### billingAddress_Resp

- `zip` (string, required) — The billing address must include the ZIP code. The ZIP code must be two or more characters.
- `first_name` (string, optional)
- `last_name` (string, optional)
- `company` (string, optional)
- `street_1` (string, optional)
- `street_2` (string, optional)
- `city` (string, optional)
- `state` (string, optional)
- `country` (string, optional)
- `country_iso2` (string, optional)
- `phone` (string, optional)
- `email` (string, optional)
- `form_fields` (list of formFields, optional)

### OrderRespOnlyConsignments

### coupons_Resource

- `url` (string, optional) — URL of the coupons for API requests.
- `resource` (string, optional) — Resource of the coupons.

### OrderRespOnlyFees

### OrderSharedPaymentProviderId

The external Transaction ID/Payment ID within this order’s payment provider (if a payment provider was used).

### products_Resource

- `url` (string, optional)
- `resource` (string, optional)

### shippingAddresses_Resource

- `url` (string, optional) — URL of the shipping address for API requests.
- `resource` (string, optional)

### formFields

- `name` (string, optional) — The form field name.
- `value` (FormFieldsValue, optional) — The form field value.

### orderConsignments_Resource

- `url` (string, optional) — URL where you can use a GET request to get the order consignments.
- `resource` (string, optional) — Path where you can use a GET request to get the order consignments.

### orderConsignment_Get

- `pickups` (list of pickupConsignment_Get, optional) — Pickup consignments.
- `shipping` (list of shippingConsignment_Get, optional) — Shipping consignments.
- `downloads` (list of digitalConsignment_Get, optional) — Digital consignments for products that are downloaded.
- `email` (OrderConsignmentGetEmail, optional) — Email consignments for gift certificates.

### orderFees_Resource

- `url` (string, optional) — URL where you can use a GET request to get the order fees.
- `resource` (string, optional) — Path where you can use a GET request to get the order fees.

### FormFieldsValue

The form field value.

### pickupConsignment_Get

- `collection_instructions` (string, optional) — A message for shoppers explaining how to collect their pickup order.
- `collection_time_description` (string, optional) — A message for shoppers indicating the estimated time their pickup order will be ready for collection.
- `id` (integer, optional) — The ID of the pickup consignment to update.
- `line_items` (PickupConsignmentGetLineItems, optional)
- `location` (pickupConsignmentLocation_Get, optional)
- `pickup_method_display_name` (string, optional) — A name for the pickup method that can be displayed to shoppers.
- `pickup_method_id` (integer, optional) — ID of the pickup method.

### shippingConsignment_Get

- `base_cost` (double, optional) — The base shipping cost value.
- `base_handling_cost` (double, optional) — The base handling charge. The value can't be negative.
- `city` (string, optional)
- `company` (string, optional)
- `cost_ex_tax` (double, optional) — The shipping cost value excluding tax.
- `cost_inc_tax` (double, optional) — The shipping cost value including tax.
- `cost_tax` (double, optional) — The tax amount on the shipping cost.
- `cost_tax_class_id` (integer, optional) — The ID of the tax class applied to the shipping cost. Ignored if automatic tax is enabled.
- `country` (string, optional)
- `country_iso2` (string, optional) — 2-letter ISO Alpha-2 code for the country.
- `email` (string, optional) — Recipient’s email address.
- `first_name` (string, optional)
- `form_fields` (list of formFields, optional)
- `handling_cost_ex_tax` (double, optional) — The handling charge, excluding tax. The value can't be negative.
- `handling_cost_inc_tax` (double, optional) — The handling charge, including tax. The value can't be negative.
- `handling_cost_tax` (double, optional)
- `handling_cost_tax_class_id` (integer, optional) — The ID of the tax class applied to the handling charge. Ignored if automatic tax is enabled.
- `id` (integer, optional) — ID of the shipping consignment.
- `items_shipped` (double, optional) — The number of items that have been shipped.
- `items_total` (double, optional) — The total number of items in the order.
- `last_name` (string, optional)
- `line_items` (ShippingConsignmentGetLineItems, optional)
- `phone` (string, optional) — Recipient’s telephone number.
- `shipping_method` (string, optional) — Text identifying the BigCommerce shipping module selected by the customer.
- `shipping_quotes` (shippingQuotesConsignment_Resource, optional)
- `shipping_zone_id` (double, optional) — The numeric ID of the shipping zone.
- `shipping_zone_name` (string, optional) — The name of the shipping zone.
- `state` (string, optional)
- `street_1` (string, optional) — Street address (first line).
- `street_2` (string, optional) — Street address (second line).
- `zip` (string, optional) — Zip or postal code, as a string.

### digitalConsignment_Get

- `recipient_email` (string, optional) — The recipient email of the digital consignment.
- `line_items` (DigitalConsignmentGetLineItems, optional)

### OrderConsignmentGetEmail

Email consignments for gift certificates.

- `gift_certificates` (list of giftCertificateConsignment_Get, optional)

### PickupConsignmentGetLineItems

### pickupConsignmentLocation_Get

- `address_line_1` (string, optional) — Street address (first line).
- `address_line_2` (string, optional) — Street address (second line).
- `city` (string, optional)
- `code` (string, optional) — The code of the pickup location.
- `country_alpha2` (string, optional) — 2-letter ISO Alpha-2 code for the country.
- `email` (string, optional) — Pickup locationʼs email address.
- `id` (integer, optional) — ID of the location.
- `name` (string, optional) — The name of the pickup location.
- `phone` (string, optional) — Pickup locationʼs phone number.
- `postal_code` (string, optional)
- `state` (string, optional)

### ShippingConsignmentGetLineItems

### shippingQuotesConsignment_Resource

- `url` (string, optional) — URL where you can use a GET request to get the shipping quotes for the order consignment.
- `resource` (string, optional) — Path where you can use a GET request to get the shipping quotes for the order consignment.

### DigitalConsignmentGetLineItems

### giftCertificateConsignment_Get

- `recipient_email` (string, optional) — The recipient email of the gift certificate.
- `line_items` (GiftCertificateConsignmentGetLineItems, optional)

### GiftCertificateConsignmentGetLineItems

## Examples

**Response**

```json
[
  {
    "backorder_shipping_expectation_message": null,
    "base_handling_cost": "0.0000",
    "base_shipping_cost": "0.0000",
    "base_wrapping_cost": "0.0000",
    "billing_address": {
      "zip": "78751",
      "first_name": "Jane",
      "last_name": "Doe",
      "company": "",
      "street_1": "455 Main Street",
      "street_2": "",
      "city": "Austin",
      "state": "Texas",
      "country": "United States",
      "country_iso2": "US",
      "phone": "",
      "email": "janedoe@example.com",
      "form_fields": []
    },
    "cart_id": "a8458391-ef68-4fe5-9ec1-442e6a767364",
    "channel_id": 1,
    "coupon_discount": "0.0000",
    "coupons": {
      "url": "https://api.bigcommerce.com/stores/{store_hash}/v2/orders/100/coupons",
      "resource": "/orders/100/coupons"
    },
    "currency_code": "USD",
    "currency_exchange_rate": "1.0000000000",
    "currency_id": 1,
    "customer_id": 20,
    "customer_locale": "en",
    "customer_message": "",
    "date_created": "Wed, 10 Jan 2018 21:05:30 +0000",
    "date_modified": "Wed, 05 Dec 2018 20:16:55 +0000",
    "date_shipped": "",
    "default_currency_code": "USD",
    "default_currency_id": 1,
    "discount_amount": "0.0000",
    "ebay_order_id": "0",
    "external_id": null,
    "external_merchant_id": null,
    "external_order_id": "external-order-id",
    "external_source": "POS",
    "geoip_country": "United States",
    "geoip_country_iso2": "US",
    "gift_certificate_amount": "0.0000",
    "handling_cost_ex_tax": "0.0000",
    "handling_cost_inc_tax": "0.0000",
    "handling_cost_tax": "0.0000",
    "handling_cost_tax_class_id": 2,
    "id": 100,
    "ip_address": "00.000.000.000",
    "ip_address_v6": "",
    "is_email_opt_in": false,
    "is_tax_inclusive_pricing": false,
    "items_shipped": 0,
    "items_total": 17,
    "order_is_digital": false,
    "order_source": "manual",
    "payment_method": "Credit Card",
    "payment_provider_id": "",
    "payment_status": "authorized",
    "products": {
      "url": "https://api.bigcommerce.com/stores/{store_hash}/v2/orders/100/products",
      "resource": "/orders/100/products"
    },
    "refunded_amount": "0.0000",
    "shipping_address_count": 1,
    "shipping_addresses": {
      "url": "https://api.bigcommerce.com/stores/{store_hash}/v2/orders/100/shippingaddresses",
      "resource": "/orders/100/shippingaddresses"
    },
    "shipping_cost_ex_tax": "0.0000",
    "shipping_cost_inc_tax": "0.0000",
    "shipping_cost_tax": "0.0000",
    "shipping_cost_tax_class_id": 2,
    "staff_notes": "",
    "status": "Awaiting Fulfillment",
    "status_id": 11,
    "store_credit_amount": "0.0000",
    "store_default_currency_code": "",
    "store_default_to_transactional_exchange_rate": "1.0000000000",
    "subtotal_ex_tax": "336.3200",
    "subtotal_inc_tax": "361.9500",
    "subtotal_tax": "25.6300",
    "tax_provider_id": "BasicTaxProvider",
    "total_ex_tax": "361.9500",
    "total_inc_tax": "361.9500",
    "total_tax": "0.0000",
    "wrapping_cost_ex_tax": "0.0000",
    "wrapping_cost_inc_tax": "0.0000",
    "wrapping_cost_tax": "0.0000",
    "wrapping_cost_tax_class_id": 3,
    "credit_card_type": null,
    "custom_status": "Awaiting Fulfillment"
  }
]
```

**SDK Code**

```python response
import requests

url = "https://api.bigcommerce.com/stores/store_hash/v2/orders"

headers = {
    "Accept": "application/json",
    "X-Auth-Token": "<apiKey>"
}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript response
const url = 'https://api.bigcommerce.com/stores/store_hash/v2/orders';
const options = {
  method: 'GET',
  headers: {Accept: 'application/json', 'X-Auth-Token': '<apiKey>'}
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go response
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.bigcommerce.com/stores/store_hash/v2/orders"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Accept", "application/json")
	req.Header.Add("X-Auth-Token", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby response
require 'uri'
require 'net/http'

url = URI("https://api.bigcommerce.com/stores/store_hash/v2/orders")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Accept"] = 'application/json'
request["X-Auth-Token"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java response
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.bigcommerce.com/stores/store_hash/v2/orders")
  .header("Accept", "application/json")
  .header("X-Auth-Token", "<apiKey>")
  .asString();
```

```php response
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.bigcommerce.com/stores/store_hash/v2/orders', [
  'headers' => [
    'Accept' => 'application/json',
    'X-Auth-Token' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp response
using RestSharp;

var client = new RestClient("https://api.bigcommerce.com/stores/store_hash/v2/orders");
var request = new RestRequest(Method.GET);
request.AddHeader("Accept", "application/json");
request.AddHeader("X-Auth-Token", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift response
import Foundation

let headers = [
  "Accept": "application/json",
  "X-Auth-Token": "<apiKey>"
]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.bigcommerce.com/stores/store_hash/v2/orders")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```